import { useEffect } from "react";
import { useLocation } from "react-router-dom";
import { openFromOtherPage } from "../components/Buttons";

export function Partners() {
  const location = useLocation();

    useEffect(() => {
        const params = new URLSearchParams(location.search);
        const collapseId = params.get('collapseId');
        const tabId = params.get('tab');

        // Scroll to the section specified by collapseId
        if (collapseId) {
            const collapseElement = document.getElementById(collapseId);
            if (collapseElement) {
                const elementTop = collapseElement.getBoundingClientRect().top + window.pageYOffset;
                const offset = window.innerHeight / 2 - collapseElement.offsetHeight / 2;
                const scrollPosition = elementTop - offset;

                window.scrollTo({
                    top: scrollPosition,
                    behavior: 'smooth',
                });
            }
        }

        // Open the tab specified by tabId
        if (tabId) {
            openFromOtherPage(tabId)({ currentTarget: document.getElementById(tabId)! });
        }
    }, [location.search]);

    return (
      <>
      <div id="sidebarbox" className="col-1 d-none d-lg-block"> </div>
        <br/> 
        <h1>A big thank you to all our sponsors and partners!</h1>
        <br/>
        <br/>

        <br/> 
        {/* GOLD */}
        <h2>Sponsor category Gold</h2>
        <br/> 
        <div className="col">
        <div className="row align-items-center">
              <div className="col">
                <a className="sponsor-container sp-a" href="https://www.uni-bielefeld.de/">
                  <img className="img-sponsor-a" src="https://static.igem.wiki/teams/5247/logos-team/uni-bielefeld-dunkel.png"/>
                </a>
              </div>
              <div className="col-1"></div>
              <div className="col">
                <a className="sponsor-container sp-a" href="https://www.cebitec.uni-bielefeld.de/">
                  <img className="img-sponsor-a" src="https://static.igem.wiki/teams/5247/sponsors/cebitec-farbe.png"/>
                </a>
              </div>
            </div>
          <div className="row align-items-center">
            <div className="col">
          <br/> 
            </div>
          </div>
        </div>
        <br/> 
        <div className="row align-items-center">
          <div id="zeiss-portrait" className="col-5 sponsor-portrait">
          <a href="http://www.zeiss.de/naturwissenschaften">
            <img id="zeiss-portrait-logo" src="https://static.igem.wiki/teams/5247/sponsors/zeiss.png"></img>
          </a>
          </div>
          <div id="zeiss-text" className="col sponsor-text-right">
            <h4>ZEISS ist Technologie. ZEISS ist Optik und Innovation.</h4>
            <br/>
            <p> Wir entwickeln, fertigen und vertreiben für unsere Kunden in einer Vielzahl von Geschäftsfeldern hochinnovative Produkte und Lösungen – und loten dabei die Grenzen des Machbaren aus. Als weltweit führendes Technologieunternehmen, mit einer starken Marke und mit einem Portfolio, das auf Wachstumsfelder der Zukunft wie Digitalisierung, Gesundheit und Industrie 4.0 ausgerichtet ist, gestalten wir die Zukunft weit über die optische und optoelektronische Branche hinaus. Grundlage für den Erfolg und den weiteren kontinuierlichen Ausbau der Technologie und Marktführerschaft von ZEISS sind die nachhaltig hohen Aufwendungen für Forschung und Entwicklung. Hauptstandort des 1846 in Jena gegründeten Unternehmens ist Oberkochen, Deutschland. Alleinige Eigentümerin der Dachgesellschaft, der Carl Zeiss AG, ist die Carl-Zeiss-Stiftung, eine der größten deutschen Stiftungen zur Förderung der Wissenschaft.</p>
          </div>
        </div>
        <br/> <br/> 
        <div className="row align-items-center">
          <div id="idt-text" className="col sponsor-text-left">
              <h4>Accelerate the pace of genomics. We'll help.</h4>
              <br/>
              <p> For more than 35 years, Integrated DNA Technologies (IDT)  has empowered genomics laboratories with an oligonucleotide manufacturing process unlike anyone else in the industry, featuring the most advanced synthesis, modification, purification, and quality control capabilities available. IDT has supported iGEM team for over a decade with 20kb of free DNA to help accelerate their inspiring projects for the Grand Jamboree. Since its founding in 1987, IDT has progressed from a leading oligo manufacturer to a genomics solutions provider supporting key application areas such as next generation sequencing, CRISPR genome editing, synthetic biology, digital PCR, and RNA interference. IDT manufactures products used by scientists researching the toughest challenges facing our planet today as well as many forms of cancer and most inherited and infectious diseases. </p>
          </div>
          <a href="https://www.idtdna.com/" id="idt-portrait" className="col-5 sponsor-portrait">
          </a>
        </div>
        <br/> <br/> 
        <div className="row align-items-center">
          <div id="integra-portrait" className="col-5 sponsor-portrait">
          <a href="https://www.integra-biosciences.com">
            <img id="integra-portrait-logo" src="https://static.igem.wiki/teams/5247/sponsors/integra-hinterlegt.jpeg"></img>
          </a>
          </div>
          <div id="integra-text" className="col sponsor-text-right">
            <h4> Your Reliable Partner For Productive Pipettes </h4>
            <br/>
            <p>
            INTEGRA Biosciences is a
            leading provider of high-quality laboratory tools and consumables for
            liquid handling. The company is committed to creating innovative
            solutions which fulfil the needs of its customers in research, diagnostics
            and quality control within the life sciences markets and medical sector.
            INTEGRA’s engineering and production teams in Zizers, Switzerland and
            Hudson, NH, USA, strive to develop and manufacture instruments and
            consumables of outstanding quality. Today, INTEGRA’s innovative
            laboratory products are widely used all around the world where they help
            scientists accelerate scientific discovery. Our revolutionary concept
            combines innovative pipetting with the most modern robotics.
            </p>
          </div>
        </div>
        <br/> <br/> 
        {/* SILVER */}
        <h2>Sponsor category silver</h2>
        <br/> <br/>
        <div id="project-portrait" className="sponsor-portrait" style={{padding: "20px"}}>
          <div className="row align-items-center">
            <div className="col">
                Zymo
            </div>
            <div className="col">
                Stemcell
            </div>
            <div className="col">
                <a className="sponsor-container" href="https://www.plasmidfactory.com/">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/plasmidfactory.png"/>
                </a>
              </div>
          </div>
          <div className="row align-items-center">
            <div className="col">
                Wolff
            </div>
            <div className="col">
                <a className="sponsor-container" href="https://snapgene.com">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/snapgene.png"/>
                </a>
              </div>
            <div className="col">
                BioNRW
            </div>
          </div>
        </div>
        <br/> <br/> 
        {/* BRONZE */}
        <h2>Sponsor category bronze</h2>
        <br/> <br/>
        <div id="project-portrait" className="sponsor-portrait" style={{padding: "20px"}}>
          <div className="row align-items-center">
            <div className="col">
              <a className="sponsor-container" href="www.promega.com">
                <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/promega-gelb.png"/>
              </a>
            </div>  
            <div className="col">
                Microsynth
            </div>
            <div className="col">
                NEB
            </div>
          </div>
        </div>
        <br/> <br/>
        <div className="row align-items-center">
          <div id="project-text" className="col sponsor-text-left">
              <h2>BFH MeetUp sponsors...</h2>
              <br/>
              <p></p> 
          </div>
          <div id="project-portrait" className="col-6 sponsor-portrait" style={{padding: "20px"}}>
            <div className="row align-items-center">
              
            </div>
            <div className="row align-items-center">
              <div className="col">
                <a className="sponsor-container" href="https://www.gip.com/home/">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/gip.png" />
                </a>
              </div>
              <div className="col">
                <a className="sponsor-container" href="https://www.jenabioscience.com/">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/jbs-dunkelgruen-text.png"/>
                </a>
              </div>
            </div>
            <div className="row align-items-center">
              <div className="col">
                V Bio
              </div>
              <div className="col">
                MN
              </div>
            </div>
            <div className="row align-items-center">
              <div className="col">
                fiz
              </div>
              <div className="col">
                cell signaling technologies
              </div>
            </div>
            <div className="row align-items-center">
              <div className="col">
                GASB
              </div>
            </div>
            
          </div>
        </div>
        <br/> <br/> 
        <div className="row align-items-center">
          <div id="meetup-portrait" className="col-5 sponsor-portrait" style={{padding: "20px"}}>
          <div className="row align-items-center">
              <div className="col">
                <a className="sponsor-container" href="">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/asimov-colorful.png"/>
                </a>
              </div>
              <div className="col">
              <a className="sponsor-container" href="https://www.uni-bielefeld.de/fakultaeten/technische-fakultaet/arbeitsgruppen/multiscale-bioengineering/campusbrauerei/">
                <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/campus-brauerei-hinterlegt.jpeg"/>
              </a>
              </div>
              <div className="col">
                <a className="sponsor-container" href="">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/algenium.png"/>
                </a>
              </div>
            </div>
            <div className="row align-items-center">
              <div className="col">
                <a className="sponsor-container" href="">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/logos-team/other-teams/gu-frankfurt-logo.png"/>
                </a>
              </div>
              <div className="col">
                <a className="sponsor-container" href="https://bts-ev.de/">
                  <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/bts.png"/>
                </a> 
              </div>
              <div className="col">
                <a className="sponsor-container" href="">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/logos-team/other-teams/igem-hamburg-logo.png"/>
                </a>
              </div>
            </div>
             <div className="row align-items-center">
              <div className="col">
                <a className="sponsor-container" href="">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/studscicom-logo.png"/>
                </a>
              </div>
            </div>
          </div>
          
          <div id="meetup-text" className="col sponsor-text-right" style={{textAlign: "right"}}>
            <h2> ... and collaborators </h2>
            <br/>
          </div>
        </div>
        <br/> <br/>
        <h2>Other collaborators</h2>
        <br/> <br/>
        <div className="row align-items-center">
          <div id="idt-text" className="col sponsor-text-left">
              <h4>Changing CF lives around the world, one vest at a time.</h4>
              <br/>
              <p>After being contacted unexpectedly by two previously unknown Cystic Fibrosis patients in Chile and Lebanon months apart in early 2020 to request therapy vests, the great need for this equipment to CF patients around the world became quickly evident.  CF Vests Worldwide was established in June 2020 to meet this need.  The mission of CF Vests Worldwide is to donate lifesaving therapy vests, with a cost of nearly $20,000, for those with Cystic Fibrosis outside of the United States.  The life expectancy of CF patients outside the U.S. can be as limited as approximately 24 years of age.  These therapy vests mean everything to the CF patient and their family.  Further, in most CF communities in the 59 countries where CF Vests Worldwide has donated over 330 therapy vests, access to the most basic Cystic Fibrosis medication is either limited or non-existent.  In these cases, a therapy vest donated by CF Vests Worldwide is the only hope for comfort and an extended life.</p>
          </div>
          <div id="" className="col-5 sponsor-portrait">
            <a href="https://www.cfvww.org/">
              <img id="idt-portrait-logo" src="https://static.igem.wiki/teams/5247/sponsors/cfvestslogo.png"></img>
            </a>
          </div>
        </div>
        <br/> <br/>
        <div id="meetup-portrait" className="sponsor-portrait" style={{padding: "20px"}}>
        <div className="row align-items-center">
          <div className="col">
              <a className="sponsor-container" href="https://www.carlroth.de/">
                  <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/roth.jpg"/>
              </a> 
          </div> 
          <div className="col">
              <a className="sponsor-container" href="https://www.uni-bielefeld.de/fakultaeten/technische-fakultaet/">
                <img className="img-sponsor-partner-page" src="https://static.igem.wiki/teams/5247/sponsors/techfak.jpg"/>
              </a>
          </div>  
          <div className="col">
            Sarstedt
          </div>
          <div className="col">
            DKW
          </div>
          <div className="col">
            Capricorn
          </div>
        </div>
        </div>
        
        
        
        
      </>
    );
  }
  